### Function

# Gimp LayerMask get_by_id

#### Declaration [src]

    GimpLayerMask*
    gimp_layer_mask_get_by_id (
      gint32 layer_mask_id
    )

#### Description [src]

Returns a `GimpLayerMask` representing `layer_mask_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is layer_mask or `NULL` otherwise.

Available since: | 3.0

#### Parameters

`layer_mask_id` | `gint32`
| The layer_mask id.

#### Return value

Returns: | `GimpLayerMask`
| A `GimpLayerMask` for `layer_mask_id` or `NULL` if `layer_mask_id` does not represent a valid layer_mask. The object belongs to libgimp and you must not modify or unref it.
| The data is owned by the called function.
| The return value can be `NULL`.